/*
******************************************************************************

   GGIART extension stubs.

******************************************************************************
*/

#include <ggi/internal/ggiart_int.h>


void ggiartRenderSVP(ggi_visual_t vis,
		const ggiart_svp_t svp,
		const ggiart_uta_t bbox,
		const ggiart_rop_t rop) {
  LIBGGI_GGIARTEXT(vis)->render_svp(vis, svp,bbox,rop);
}

void ggiartRenderBuffer(ggi_visual_t vis,
			const ggiart_buffer_t buf,
			const double affine[6],
			const ggiart_uta_t bbox,
			const int alpha) {
  LIBGGI_GGIARTEXT(vis)->render_buffer(vis, buf, affine, bbox,alpha);
}

void ggiartFillscreen(ggi_visual_t vis,
		      const ggiart_uta_t bbox) {
  LIBGGI_GGIARTEXT(vis)->fillscreen(vis, bbox);
}
